%define name mod_perl
%define ver 1.23
%define rel 1
%define prefix /usr

Summary: A Perl interpreter for the Apache Web server.
Name: %{name}
Version: %{ver}
Release: %{rel}
Serial: 2000051601
Group: System Environment/Daemons
Copyright: GPL
Source0: http://www.perl.com/CPAN/by-module/Apache/%{name}-%{version}.tar.gz
URL:http://perl.apache.org/
BuildRoot: /var/tmp/%{name}-%{version}-root
Requires: apache perl >= 5.00503
BuildPrereq: apache-devel
Prefixes: %{prefix}
Prereq: perl >= 5.00503

%description
Mod_perl incorporates a Perl interpreter into the Apache web server,
so that the Apache web server can directly execute Perl code.
Mod_perl links the Perl runtime library into the Apache web server and
provides an object-oriented Perl interface for Apache's C language
API.  The end result is a quicker CGI script turnaround process, since
no external Perl interpreter has to be started.

Install mod_perl if you're installing the Apache web server and you'd
like for it to directly incorporate a Perl interpreter.

%changelog
* Tue May 16 2000 Toshihiro Yamagishi <Toshihiro.Yamagishi@turbolinux.co.jp>
- rebuild for TLS6.1
- fix up some strange spec rule
- Upgraded to mod_perl 1.23

* Fri Mar 03 2000 Cristian Gafton <gafton@redhat.com>
- fixed the postun script to check for upgrades. doh
- add triggerpostun to fix older versions of the package

* Mon Feb 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- make perl a prereq because it's used in %post

* Fri Feb 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild against Apache 1.3.12 and EAPI (release 8)

* Mon Feb 21 2000 Preston Brown <pbrown@redhat.com>
- incorporate fixes from Markus Pilzecker <mp@rhein-neckar.netsurf.de>:
- Prefix: /usr
- find apxs binary and package directories automatically

* Thu Feb 17 2000 Preston Brown <pbrown@redhat.com>
- automatically enable/disable in httpd.conf in post/postun.

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- fix up some strange permissions

* Sun Feb 06 2000 Preston Brown <pbrown@redhat.com>
- rebuild to pick up gzipped man pages, new descr.

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- changed paths for perl 5.00503 (RHL 6.1 version)

* Fri Jul 09 1999 Preston Brown <pbrown@redhat.com>
- added -fPIC to correct functionality on SPARC
- upgrade to 1.21, removed build cruft from old buggy mod_perl days
- added extra documentation that was missing

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- bump ver. # so SWS mod_perl gets auto-upgraded

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- bugfix 1.19 release from Doug

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- experimental patch from Doug MacEachern <dougm@pobox.com> to fix segfault
- rebuilt against apache 1.3.6

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgraded to mod_perl 1.18.

* Mon Dec 21 1998 Preston Brown <pbrown@redhat.com>
- Upgraded to mod_perl 1.16.

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- disabled stacked_handlers.  They still seem busted!
- minor updates so no conflicts with either apache / secureweb
- fixed bug building on multiple architectures

* Wed Sep 02 1998 Preston Brown <pbrown@redhat.com>
- Updates for apache 1.3.x, and mod_perl 1.15

* Fri Feb 27 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to compile it as a shared object for the apache/ssl (and
  future revisions of apache)


%prep
%setup -q

%build
perl Makefile.PL \
	USE_APXS=1 \
	WITH_APXS=/usr/sbin/apxs \
	EVERYTHING = 1

make
make -C faq

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PREFIX=$RPM_BUILD_ROOT%{prefix}
mkdir -p $RPM_BUILD_ROOT%{prefix}/libexec/apache
install -m 755 apaci/libperl.so $RPM_BUILD_ROOT%{prefix}/libexec/apache
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual/mod
install -m 644 htdocs/manual/mod/mod_perl.html \
        $RPM_BUILD_ROOT/home/httpd/html/manual/mod
chmod 755 $RPM_BUILD_ROOT%{prefix}/lib/perl5/site_perl/*/%{_arch}-linux/auto/Apache/Symbol/Symbol.so
chmod 755 $RPM_BUILD_ROOT%{prefix}/lib/perl5/site_perl/*/%{_arch}-linux/auto/Apache/Leak/Leak.so
chmod 755 $RPM_BUILD_ROOT%{prefix}/lib/perl5/site_perl/*/%{_arch}-linux/Apache/PerlRunXS.pm

%post
mv -f /usr/libexec/apache/libperl.so /tmp/libperl.so
/usr/sbin/apxs -i -a -n "perl" /tmp/libperl.so > /dev/null 2>&1
rm -f /tmp/libperl.so

%postun
if [ "$1"=0 ] ; then
	cat /etc/httpd/conf/httpd.conf \
	| grep -v "LoadModule perl_module" \
	| grep -v "AddModule mod_perl.c" \
	> /etc/httpd/conf/httpd.conf.fixed
	mv /etc/httpd/conf/httpd.conf.fixed /etc/httpd/conf/httpd.conf
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/libexec/apache/libperl.so
/home/httpd/html/manual/mod/mod_perl.html
%{prefix}/lib/perl5/*
%doc CREDITS Changes README SUPPORT ToDo cgi_to_mod_perl.pod mod_perl.pod
%doc mod_perl_method_handlers.pod mod_perl_traps.pod mod_perl_tuning.pod
%doc INSTALL faq/*.html eg faq
%doc ToDo apache-modlist.html
